
Redmine - Feature #473

Custom reports

2007-11-05 21:43 - Paul Macdonnell

Status: Reopened Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

It would be very handy to be able to create and save custom reports (or save the filters used on a search) based on

similar criteria that is used on the Issues search page (eg http://my.site.name/issues)

History

#1 - 2007-11-25 21:43 - Jonathan Hall

I have to agree, this would be very handy

#2 - 2008-09-10 11:02 - Nicolas Ruffel

I agree too

#3 - 2008-12-05 23:59 - Mischa The Evil

Imho this issue is resolved by r1311 followed by r1312. Please provide some feedback if this issue can be resolved...

#4 - 2008-12-31 00:50 - Mischa The Evil

- Category set to Issues

- Status changed from New to Closed

- Resolution set to Fixed

Feature implemented, so closed with resolution fixed.

#5 - 2009-01-08 01:10 - Maxim Krušina

- Status changed from Closed to Reopened

I just checked this, but it's NOT implemented.

It's implemented in Issue list, where it works just great.

Anyway, we need the same behaviour for Reports, not issue lists.

The logic can be the same, like project/global or private/public settings.

I would like to be able to create special global public reports like:

List of spend time of all users in current week

List of work done today on all projects

etcetc.

This will be very handy!!!

#6 - 2009-01-09 22:08 - Eric Davis

Maxim Krušina wrote:

I would like to be able to create special global public reports like:

List of spend time of all users in current week

List of work done today on all projects

etcetc.

 My  Timesheet plugin has had these features for about a year now.  You can try to use it for now.
http://my.site.name/issues
https://www.redmine.org/projects/redmine/repository/svn/revisions/1311
https://www.redmine.org/projects/redmine/repository/svn/revisions/1312
https://www.redmine.org/projects/redmine/wiki/PluginTimesheet


#7 - 2009-01-10 11:31 - Jm Delehaye

Maxim Krušina : +1

Eric Hulser : Your plugin is great, I use it. But I think the key feature here is "Saving time report".

#8 - 2009-01-12 04:36 - Eric Davis

Jm Delehaye wrote:

Eric Hulser : Your plugin is great, I use it. But I think the key feature here is "Saving time report".

 Ah, I missed the saving part.  I'm actually planning on adding saving support to my plugin in the near future.  For now, all the Timesheet reports in the

plugin have a permalink that I use to "save" as a link on a page (e.g. Time for Eric in January).

https://projects.littlestreamsoftware.com/issues/show/1775

#9 - 2016-09-13 16:03 - Benjamin Schunn

any news for this feature request? Is it implemented in redmine or the plugin?

#10 - 2021-05-30 17:17 - Lorenzo Meneghetti

In my opinion this issue should be closed as there is a valid workaround for this Feature.

If you want to share a link to the time report with users you should do this in the project overview by publishing the permalink of time report (or by

publishing in a wiki page).

It is not worth spending hours and hours of development when there is a valid workaround (from my developer perspective).
https://www.redmine.org/users/574
https://www.redmine.org/users/6498
https://www.redmine.org/users/6498
https://projects.littlestreamsoftware.com/issues/show/1775
